%define anolis_release 1
Name:           ttfautohint
Version:        1.8.4
Release: %{anolis_release}%{dist}
Summary:        Automated hinting utility for TrueType fonts
License:        FTL or GPLv2
URL:            http://www.freetype.org/%{name}
Source0:        http://download.savannah.gnu.org/releases/freetype/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig qt5-qtbase-devel bundled(gnulib)
BuildRequires:  harfbuzz-devel freetype-devel gcc-c++ gcc make
Requires:       %{name}-libs = %{EVR}

%description
%{name} is a utility for font manipulation. It accepts a TrueType font as the 
input, and then strip its bytecode instructions (if any), finally, returns
a new font, in which all glyphs are hinted bytecodely, leveraging the
information provided by FreeType's autohinting module. It is designed for
platforms that FreeType is not present, and provide high-quality autohinter
on these platforms.

%package doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}. 
%{name}is a font utility that accepts a TrueType font as the 
input, and then strip its bytecode instructions (if any), finally, returns
a new font, in which all glyphs are hinted bytecodely, leveraging the
information provided by FreeType's autohinting module. It is designed for
platforms that FreeType is not present, and provide high-quality autohinter
on these platforms.

%package        gui
Summary:        Qt based GUI for %{name}
Requires:       %{name}-libs = %{version}-%{release}

%description    gui
%{name} is a utility for font manipulation. It accepts a TrueType font as the 
input, and then strip its bytecode instructions (if any), finally, returns
a new font, in which all glyphs are hinted bytecodely, leveraging the
information provided by FreeType's autohinting module. It is designed for
platforms that FreeType is not present, and provide high-quality autohinter
on these platforms.

This is a Qt based GUI of %{name}. 

%package        libs
Summary:        Library for %{name}

%description    libs
%{name} is a font utility that accepts a TrueType font as the 
input, and then strip its bytecode instructions (if any), finally, returns
a new font, in which all glyphs are hinted bytecodely, leveraging the
information provided by FreeType's autohinting module. It is designed for
platforms that FreeType is not present, and provide high-quality autohinter
on these platforms.

%package        devel
Summary:        Development files for %{name}-libs
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
lib%{name} is a library that accepts a TrueType font as the 
input, and then strip its bytecode instructions (if any), finally, returns
a new font, in which all glyphs are hinted bytecodely, leveraging the
information provided by FreeType's autohinting module. It is designed for
platforms that FreeType is not present, and provide high-quality autohinter
on these platforms.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules 
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/%{name}
%{_mandir}/*
%{abidir}/%{name}-option.list

%files doc
%doc doc/*
%doc ChangeLog INSTALL AUTHORS NEWS README THANKS TODO *.TXT


%files gui
%license COPYING
%{_pkgdocdir}/
%{_bindir}/%{name}GUI
%{_mandir}/*
%{abidir}/%{name}GUI-option.list

%files libs
%license COPYING
%{_libdir}/lib%{name}.so.1*
%dir %{abidir}
%{abidir}/lib%{name}.dump

%files devel
%license COPYING
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so

%changelog
* Sat Apr 15 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.8.4-1
- Init package from upstream
